# frozen_string_literal: true

# --------------------------------------------- #
# Author: [Patrick W. <"Sickday@pm.me">] ------ #
# InitDate: [3/3/20] ------------------------- #
# --------------------------------------------- #

module Strum::Server::Packet
  ##
  # The Terminator of this Packet.
  class Terminator
    include Strum::Internal::Generic
    ##
    # Some packets need terminators to alert the receiver to stop reading data
    def initialize(term = nil)
      self[:Buffer] = term ? [term].pack('C*') : Async::IO::Buffer.new
    end
  end
end
