# frozen_string_literal: true

# --------------------------------------------- #
# Author: [Patrick W. <"Sickday@pm.me">] ------ #
# InitDate: [3/1/20] ------------------------- #
# --------------------------------------------- #

module Strum::Internal
  module Container
    attr :assets

    def class_name
      self.class.name.split('::').last.to_sym
    end

    def [](key)
      @assets[key]
    end

    def []=(key, value)
      @assets ||= {}
      @assets[key] = value
    end
  end
end