# frozen_string_literal: true

# --------------------------------------------- #
# Author: [Patrick W. <"Sickday@pm.me">] ------ #
# InitDate: [3/4/20] ------------------------- #
# --------------------------------------------- #
# Strum
module Strum::Internal::Events
  ##
  # Raised when an Endpoint performs an action
  class EndpointEvent < Event; end
  ##
  # Raised when an Endpoint is first initialized.
  class EndpointInitializationEvent < EndpointEvent; end
  ##
  # Raised when a Endpoint starts listening.
  class EndpointListenEvent < EndpointEvent; end
  ##
  # Raised when an Endpoint spawns.
  class EndpointSpawnEvent < EndpointEvent; end
end
